[PUP-4915] Missing puppetserver packages for Squeeze and Jessie Created: 2015/07/22  Updated: 2019/04/04  Resolved: 2015/11/02

Status: Resolved
Project: Puppet
Component/s: Docs
Affects Version/s: None
Fix Version/s: None

Type: Bug Priority: Critical
Reporter: Daniele Sluijters Assignee: Unassigned
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Blocks
blocks PDB-1797 enable test cells for debian 8 jessie Closed
Template:

 Description   

apt.puppetlabs.com is missing the puppetserver packages for Squeeze and Jessie, though they are available for Wheezy. This is causing a fair amount of confusion and following the installation instructions results in failure on those platforms.

Puppetserver packages should be uploaded to PC1 on apt.puppetlabs.com for the missing distributions or a big big big caveat on the installation pages noting that running puppetserver on those two Debian releases is not supported.



 Comments   
Comment by Kylo Ginsberg [ 2015/07/22 ]

Summary from internal chat with Past Haus and Jeremy Barlow

  • squeeze is intentionally not being packaged
  • jessie is being worked on: SERVER-775

And yes, docs may need an update to reflect that. /cc Mike Hall

Comment by Melissa Stone [ 2015/10/20 ]

As of today, we have puppetservr packages available on debian jessie. These can be found in the PC1 repo, which can be enabled by installing http://apt.puppetlabs.com/puppetlabs-release-pc1-jessie.deb

PuppetDB packages are currently still in progress.

Comment by Melissa Stone [ 2015/11/02 ]

PuppetDB shipped last week with Debian Jessie packages, again in the PC1 repo. Because we are intentionally not being packages, should this ticket be resolved?

Comment by Daniele Sluijters [ 2015/11/02 ]

Because we are intentionally not being packages, should this ticket be resolved?

I'm sorry?

Comment by Melissa Stone [ 2015/11/02 ]

sorry, that should have been "not shipping packages", in reference to Kylo's first comment on this ticket

Comment by Daniele Sluijters [ 2015/11/02 ]

Ah, indeed. In that case, close away.

Comment by Melissa Stone [ 2015/11/02 ]

Alright, Puppet Server and PuppetDB are available on Debian Jessie. We will not be building those packages for Debian Squeeze.

Generated at Fri Oct 18 21:25:09 PDT 2019 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.